SuccessConsole Output

Started by user Clayton Coleman
[EnvInject] - Loading node environment variables.
Building in workspace /var/lib/jenkins/jobs/build-and-release-latest-openshift-ansible-images/workspace
[workspace] $ /bin/sh -xe /tmp/jenkins1518011393866377181.sh
+ OS=rhel7
+ HUB=https://github.com/openshift
+ NAME=openshift-ansible
+ BRANCH=master
+ LOCAL_REPO=/tmp/openshift-ansible
+ REMOTE=https://github.com/openshift/openshift-ansible
+ VERSION=latest,v3.9
+ PREFIX=openshift/origin-ansible
+ vagrant origin-local-checkout --replace
You don't seem to have the GOPATH environment variable set on your system.
See: 'go help gopath' for more details about GOPATH.
Waiting for the cloning process to finish
Checking repo integrity for /var/lib/jenkins/jobs/build-and-release-latest-openshift-ansible-images/workspace/origin
~/jobs/build-and-release-latest-openshift-ansible-images/workspace/origin ~/jobs/build-and-release-latest-openshift-ansible-images/workspace
# On branch master
nothing to commit, working directory clean
~/jobs/build-and-release-latest-openshift-ansible-images/workspace
Replacing: /var/lib/jenkins/jobs/build-and-release-latest-openshift-ansible-images/workspace/origin
~/jobs/build-and-release-latest-openshift-ansible-images/workspace/origin ~/jobs/build-and-release-latest-openshift-ansible-images/workspace
From https://github.com/openshift/origin
   a940ec7..8220060  master     -> origin/master
   4bb2151..6aeba0c  release-3.7 -> origin/release-3.7
Already on 'master'
Your branch is behind 'origin/master' by 2 commits, and can be fast-forwarded.
  (use "git pull" to update your local branch)
HEAD is now at 8220060 Merge pull request #18250 from bparees/clusterup_jenkins
Removing .vagrant-openshift.json
Removing .vagrant/
fatal: branch name required
~/jobs/build-and-release-latest-openshift-ansible-images/workspace
Origin repositories cloned into /var/lib/jenkins/jobs/build-and-release-latest-openshift-ansible-images/workspace
+ pushd origin
~/jobs/build-and-release-latest-openshift-ansible-images/workspace/origin ~/jobs/build-and-release-latest-openshift-ansible-images/workspace
+ vagrant origin-init --stage deps --os rhel7 --required-name-tag ready --instance-type c4.large devenv-openshift-ansible-rhel7_247
Reading AWS credentials from /var/lib/jenkins/.awscred
Searching devenv-rhel7-base_* for latest base AMI (required_name_tag=ready)
Found: ami-10aed306 (devenv-rhel7-base_2864)
++ seq 0 2
+ for i in '$(seq 0 2)'
+ vagrant up --provider aws
Bringing machine 'openshiftdev' up with 'aws' provider...
==> openshiftdev: Warning! The AWS provider doesn't support any of the Vagrant
==> openshiftdev: high-level network configurations (`config.vm.network`). They
==> openshiftdev: will be silently ignored.
==> openshiftdev: Warning! You're launching this instance into a VPC without an
==> openshiftdev: elastic IP. Please verify you're properly connected to a VPN so
==> openshiftdev: you can access this machine, otherwise Vagrant will not be able
==> openshiftdev: to SSH into it.
==> openshiftdev: Launching an instance with the following settings...
==> openshiftdev:  -- Type: c4.large
==> openshiftdev:  -- AMI: ami-10aed306
==> openshiftdev:  -- Region: us-east-1
==> openshiftdev:  -- Keypair: libra
==> openshiftdev:  -- Subnet ID: subnet-cf57c596
==> openshiftdev:  -- User Data: yes
==> openshiftdev:  -- User Data: 
==> openshiftdev: # cloud-config
==> openshiftdev: 
==> openshiftdev: growpart:
==> openshiftdev:   mode: auto
==> openshiftdev:   devices: ['/']
==> openshiftdev: runcmd:
==> openshiftdev: - [ sh, -xc, "sed -i s/^Defaults.*requiretty/#Defaults requiretty/g /etc/sudoers"]
==> openshiftdev:         
==> openshiftdev:  -- Block Device Mapping: [{"DeviceName"=>"/dev/sda1", "Ebs.VolumeSize"=>25, "Ebs.VolumeType"=>"gp2"}, {"DeviceName"=>"/dev/sdb", "Ebs.VolumeSize"=>35, "Ebs.VolumeType"=>"gp2"}]
==> openshiftdev:  -- Terminate On Shutdown: false
==> openshiftdev:  -- Monitoring: false
==> openshiftdev:  -- EBS optimized: false
==> openshiftdev:  -- Assigning a public IP address in a VPC: false
==> openshiftdev: Waiting for instance to become "ready"...
==> openshiftdev: Waiting for SSH to become available...
==> openshiftdev: Machine is booted and ready for use!
==> openshiftdev: Running provisioner: setup (shell)...
    openshiftdev: Running: /tmp/vagrant-shell20180124-17338-1xqkmwm.sh
+ break
+ vagrant_ssh 'sudo systemctl start docker'
+ vagrant ssh -c 'sudo systemctl start docker'
+ vagrant_ssh 'rm -rf /tmp/openshift-ansible && mkdir -p /tmp/openshift-ansible && git clone https://github.com/openshift/openshift-ansible --recursive --recurse-submodules --depth 1 --branch master /tmp/openshift-ansible'
+ vagrant ssh -c 'rm -rf /tmp/openshift-ansible && mkdir -p /tmp/openshift-ansible && git clone https://github.com/openshift/openshift-ansible --recursive --recurse-submodules --depth 1 --branch master /tmp/openshift-ansible'
Cloning into '/tmp/openshift-ansible'...
+ vagrant_ssh 'pushd /tmp/openshift-ansible && hack/build-images.sh --verbose --prefix=openshift/origin-ansible --version=latest'
+ vagrant ssh -c 'pushd /tmp/openshift-ansible && hack/build-images.sh --verbose --prefix=openshift/origin-ansible --version=latest'
/tmp/openshift-ansible ~
++ date +%s


--- Building component 'hack/../' with docker tag(s) 'latest' ---
+ BUILD_STARTTIME=1516810543
+ comp_path=hack/../
+ IFS=,
+ read -r -a version_arr
+ docker_tags=()
+ for tag in '"${version_arr[@]}"'
+ docker_tags+=("-t" "${prefix}:${tag}")
+ echo
+ echo
+ echo '--- Building component '\''hack/../'\'' with docker tag(s) '\''latest'\'' ---'
+ docker build -f images/installer/Dockerfile -t openshift/origin-ansible:latest hack/../
Sending build context to Docker daemon 557.1 kB
Sending build context to Docker daemon 1.114 MB
Sending build context to Docker daemon 1.671 MB
Sending build context to Docker daemon 2.228 MB
Sending build context to Docker daemon 2.785 MB
Sending build context to Docker daemon 3.342 MB
Sending build context to Docker daemon 3.899 MB
Sending build context to Docker daemon 4.456 MB
Sending build context to Docker daemon 5.014 MB
Sending build context to Docker daemon 5.571 MB
Sending build context to Docker daemon 6.128 MB
Sending build context to Docker daemon 6.685 MB
Sending build context to Docker daemon 7.242 MB
Sending build context to Docker daemon 7.799 MB
Sending build context to Docker daemon 8.356 MB
Sending build context to Docker daemon 8.913 MB
Sending build context to Docker daemon  9.47 MB
Sending build context to Docker daemon 10.03 MB
Sending build context to Docker daemon 10.58 MB
Sending build context to Docker daemon 11.14 MB
Sending build context to Docker daemon  11.7 MB
Sending build context to Docker daemon 12.26 MB
Sending build context to Docker daemon 12.81 MB
Sending build context to Docker daemon 13.37 MB
Sending build context to Docker daemon 13.93 MB
Sending build context to Docker daemon 14.48 MB
Sending build context to Docker daemon 15.04 MB
Sending build context to Docker daemon  15.6 MB
Sending build context to Docker daemon 16.15 MB
Sending build context to Docker daemon 16.71 MB
Sending build context to Docker daemon 17.27 MB
Sending build context to Docker daemon 17.83 MB
Sending build context to Docker daemon 18.38 MB
Sending build context to Docker daemon 18.94 MB
Sending build context to Docker daemon  19.5 MB
Sending build context to Docker daemon 20.05 MB
Sending build context to Docker daemon 20.61 MB
Sending build context to Docker daemon 21.17 MB
Sending build context to Docker daemon 21.73 MB
Sending build context to Docker daemon 22.28 MB
Sending build context to Docker daemon 22.84 MB
Sending build context to Docker daemon  23.4 MB
Sending build context to Docker daemon 23.95 MB
Sending build context to Docker daemon 24.51 MB
Sending build context to Docker daemon 25.07 MB
Sending build context to Docker daemon 25.62 MB
Sending build context to Docker daemon 26.18 MB
Sending build context to Docker daemon 26.74 MB
Sending build context to Docker daemon  27.3 MB
Sending build context to Docker daemon 27.85 MB
Sending build context to Docker daemon 28.41 MB
Sending build context to Docker daemon 28.97 MB
Sending build context to Docker daemon 29.52 MB
Sending build context to Docker daemon 30.08 MB
Sending build context to Docker daemon 30.64 MB
Sending build context to Docker daemon  31.2 MB
Sending build context to Docker daemon 31.75 MB
Sending build context to Docker daemon 32.31 MB
Sending build context to Docker daemon 32.87 MB
Sending build context to Docker daemon 33.42 MB
Sending build context to Docker daemon 33.98 MB
Sending build context to Docker daemon 34.54 MB
Sending build context to Docker daemon 35.09 MB
Sending build context to Docker daemon 35.65 MB
Sending build context to Docker daemon 36.21 MB
Sending build context to Docker daemon 36.77 MB
Sending build context to Docker daemon 36.84 MB

Step 1 : FROM centos:7
Trying to pull repository docker.io/library/centos ... 
7: Pulling from docker.io/library/centos
af4b0a2388c6: Pulling fs layer
af4b0a2388c6: Verifying Checksum
af4b0a2388c6: Download complete
af4b0a2388c6: Pull complete
Digest: sha256:2671f7a3eea36ce43609e9fe7435ade83094291055f1c96d9d1d1d7c0b986a5d
 ---> ff426288ea90
Step 2 : MAINTAINER OpenShift Team <dev@lists.openshift.redhat.com>
 ---> Running in f0f6e3e9bda6
 ---> 23f62bb49abb
Removing intermediate container f0f6e3e9bda6
Step 3 : USER root
 ---> Running in aa3e4e63b3ab
 ---> a7c9c59e2b1c
Removing intermediate container aa3e4e63b3ab
Step 4 : COPY images/installer/origin-extra-root /
 ---> b91a84a0162f
Removing intermediate container cf7169a73fbc
Step 5 : RUN INSTALL_PKGS="python-lxml python-dns pyOpenSSL python2-cryptography openssl java-1.8.0-openjdk-headless python2-passlib httpd-tools openssh-clients origin-clients"  && yum install -y --setopt=tsflags=nodocs $INSTALL_PKGS  && EPEL_PKGS="ansible python2-boto python2-boto3 google-cloud-sdk-183.0.0 which"  && yum install -y epel-release  && yum install -y --setopt=tsflags=nodocs $EPEL_PKGS  && EPEL_TESTING_PKGS="python2-libcloud"  && yum install -y --enablerepo=epel-testing --setopt=tsflags=nodocs $EPEL_TESTING_PKGS  && rpm -V $INSTALL_PKGS $EPEL_PKGS $EPEL_TESTING_PKGS  && yum clean all
 ---> Running in 38bc65c013c0
Loaded plugins: fastestmirror, ovl
Retrieving key from https://packages.cloud.google.com/yum/doc/yum-key.gpg
Importing GPG key 0xA7317B0F:
 Userid     : "Google Cloud Packages Automatic Signing Key <gc-team@google.com>"
 Fingerprint: d0bc 747f d8ca f711 7500 d6fa 3746 c208 a731 7b0f
 From       : https://packages.cloud.google.com/yum/doc/yum-key.gpg
Retrieving key from https://packages.cloud.google.com/yum/doc/rpm-package-key.gpg
Determining fastest mirrors
 * base: mirror.teklinks.com
 * extras: mirror.cs.pitt.edu
 * updates: mirror.vcu.edu
Resolving Dependencies
--> Running transaction check
---> Package httpd-tools.x86_64 0:2.4.6-67.el7.centos.6 will be installed
--> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-tools-2.4.6-67.el7.centos.6.x86_64
--> Processing Dependency: libapr-1.so.0()(64bit) for package: httpd-tools-2.4.6-67.el7.centos.6.x86_64
---> Package java-1.8.0-openjdk-headless.x86_64 1:1.8.0.161-0.b14.el7_4 will be installed
--> Processing Dependency: tzdata-java >= 2015d for package: 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64
--> Processing Dependency: copy-jdk-configs >= 2.2 for package: 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64
--> Processing Dependency: lksctp-tools(x86-64) for package: 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64
--> Processing Dependency: libjpeg.so.62(LIBJPEG_6.2)(64bit) for package: 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64
--> Processing Dependency: jpackage-utils for package: 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64
--> Processing Dependency: libjpeg.so.62()(64bit) for package: 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64
--> Processing Dependency: libfreetype.so.6()(64bit) for package: 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64
---> Package openssh-clients.x86_64 0:7.4p1-13.el7_4 will be installed
--> Processing Dependency: openssh = 7.4p1-13.el7_4 for package: openssh-clients-7.4p1-13.el7_4.x86_64
--> Processing Dependency: fipscheck-lib(x86-64) >= 1.3.0 for package: openssh-clients-7.4p1-13.el7_4.x86_64
--> Processing Dependency: libfipscheck.so.1()(64bit) for package: openssh-clients-7.4p1-13.el7_4.x86_64
--> Processing Dependency: libedit.so.0()(64bit) for package: openssh-clients-7.4p1-13.el7_4.x86_64
---> Package openssl.x86_64 1:1.0.2k-8.el7 will be installed
--> Processing Dependency: make for package: 1:openssl-1.0.2k-8.el7.x86_64
---> Package origin-clients.x86_64 0:3.7.0-1.0.7ed6862 will be installed
--> Processing Dependency: git for package: origin-clients-3.7.0-1.0.7ed6862.x86_64
--> Processing Dependency: bash-completion for package: origin-clients-3.7.0-1.0.7ed6862.x86_64
---> Package pyOpenSSL.x86_64 0:0.13.1-3.el7 will be installed
---> Package python-dns.noarch 0:1.12.0-4.20150617git465785f.el7 will be installed
---> Package python-lxml.x86_64 0:3.2.1-4.el7 will be installed
--> Processing Dependency: libxslt.so.1(LIBXML2_1.1.9)(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.1.26)(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.1.2)(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.24)(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.22)(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.18)(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.11)(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libxslt.so.1()(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
--> Processing Dependency: libexslt.so.0()(64bit) for package: python-lxml-3.2.1-4.el7.x86_64
---> Package python2-cryptography.x86_64 0:1.7.2-1.el7_4.1 will be installed
--> Processing Dependency: python-six >= 1.4.1 for package: python2-cryptography-1.7.2-1.el7_4.1.x86_64
--> Processing Dependency: python-pyasn1 >= 0.1.8 for package: python2-cryptography-1.7.2-1.el7_4.1.x86_64
--> Processing Dependency: python-idna >= 2.0 for package: python2-cryptography-1.7.2-1.el7_4.1.x86_64
--> Processing Dependency: python-cffi >= 1.4.1 for package: python2-cryptography-1.7.2-1.el7_4.1.x86_64
--> Processing Dependency: python-ipaddress for package: python2-cryptography-1.7.2-1.el7_4.1.x86_64
--> Processing Dependency: python-enum34 for package: python2-cryptography-1.7.2-1.el7_4.1.x86_64
---> Package python2-passlib.noarch 0:1.6.5-1.el7 will be installed
--> Running transaction check
---> Package apr.x86_64 0:1.4.8-3.el7_4.1 will be installed
---> Package apr-util.x86_64 0:1.5.2-6.el7 will be installed
---> Package bash-completion.noarch 1:2.1-6.el7 will be installed
---> Package copy-jdk-configs.noarch 0:2.2-5.el7_4 will be installed
---> Package fipscheck-lib.x86_64 0:1.4.1-6.el7 will be installed
--> Processing Dependency: /usr/bin/fipscheck for package: fipscheck-lib-1.4.1-6.el7.x86_64
---> Package freetype.x86_64 0:2.4.11-15.el7 will be installed
---> Package git.x86_64 0:1.8.3.1-12.el7_4 will be installed
--> Processing Dependency: perl-Git = 1.8.3.1-12.el7_4 for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl >= 5.008 for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: rsync for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(warnings) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(vars) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(strict) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(lib) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(Term::ReadKey) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(Git) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(Getopt::Long) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(File::stat) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(File::Temp) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(File::Spec) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(File::Path) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(File::Find) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(File::Copy) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(File::Basename) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(Exporter) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: perl(Error) for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: less for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: /usr/bin/perl for package: git-1.8.3.1-12.el7_4.x86_64
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: git-1.8.3.1-12.el7_4.x86_64
---> Package javapackages-tools.noarch 0:3.4.1-11.el7 will be installed
--> Processing Dependency: python-javapackages = 3.4.1-11.el7 for package: javapackages-tools-3.4.1-11.el7.noarch
---> Package libedit.x86_64 0:3.0-12.20121213cvs.el7 will be installed
---> Package libjpeg-turbo.x86_64 0:1.2.90-5.el7 will be installed
---> Package libxslt.x86_64 0:1.1.28-5.el7 will be installed
---> Package lksctp-tools.x86_64 0:1.0.17-2.el7 will be installed
---> Package make.x86_64 1:3.82-23.el7 will be installed
---> Package openssh.x86_64 0:7.4p1-13.el7_4 will be installed
---> Package python-cffi.x86_64 0:1.6.0-5.el7 will be installed
--> Processing Dependency: python-pycparser for package: python-cffi-1.6.0-5.el7.x86_64
---> Package python-enum34.noarch 0:1.0.4-1.el7 will be installed
---> Package python-idna.noarch 0:2.4-1.el7 will be installed
---> Package python-ipaddress.noarch 0:1.0.16-2.el7 will be installed
---> Package python-six.noarch 0:1.9.0-2.el7 will be installed
---> Package python2-pyasn1.noarch 0:0.1.9-7.el7 will be installed
---> Package tzdata-java.noarch 0:2017c-1.el7 will be installed
--> Running transaction check
---> Package fipscheck.x86_64 0:1.4.1-6.el7 will be installed
---> Package less.x86_64 0:458-9.el7 will be installed
--> Processing Dependency: groff-base for package: less-458-9.el7.x86_64
---> Package libgnome-keyring.x86_64 0:3.12.0-1.el7 will be installed
---> Package perl.x86_64 4:5.16.3-292.el7 will be installed
--> Processing Dependency: perl-libs = 4:5.16.3-292.el7 for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Socket) >= 1.3 for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Scalar::Util) >= 1.10 for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl-macros for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl-libs for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(threads::shared) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(threads) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(constant) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Time::Local) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Time::HiRes) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Storable) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Socket) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Scalar::Util) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Pod::Simple::XHTML) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Pod::Simple::Search) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Filter::Util::Call) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: perl(Carp) for package: 4:perl-5.16.3-292.el7.x86_64
--> Processing Dependency: libperl.so()(64bit) for package: 4:perl-5.16.3-292.el7.x86_64
---> Package perl-Error.noarch 1:0.17020-2.el7 will be installed
---> Package perl-Exporter.noarch 0:5.68-3.el7 will be installed
---> Package perl-File-Path.noarch 0:2.09-2.el7 will be installed
---> Package perl-File-Temp.noarch 0:0.23.01-3.el7 will be installed
---> Package perl-Getopt-Long.noarch 0:2.40-2.el7 will be installed
--> Processing Dependency: perl(Pod::Usage) >= 1.14 for package: perl-Getopt-Long-2.40-2.el7.noarch
--> Processing Dependency: perl(Text::ParseWords) for package: perl-Getopt-Long-2.40-2.el7.noarch
---> Package perl-Git.noarch 0:1.8.3.1-12.el7_4 will be installed
---> Package perl-PathTools.x86_64 0:3.40-5.el7 will be installed
---> Package perl-TermReadKey.x86_64 0:2.30-20.el7 will be installed
---> Package python-javapackages.noarch 0:3.4.1-11.el7 will be installed
---> Package python-pycparser.noarch 0:2.14-1.el7 will be installed
--> Processing Dependency: python-ply for package: python-pycparser-2.14-1.el7.noarch
---> Package rsync.x86_64 0:3.0.9-18.el7 will be installed
--> Running transaction check
---> Package groff-base.x86_64 0:1.22.2-8.el7 will be installed
---> Package perl-Carp.noarch 0:1.26-244.el7 will be installed
---> Package perl-Filter.x86_64 0:1.49-3.el7 will be installed
---> Package perl-Pod-Simple.noarch 1:3.28-4.el7 will be installed
--> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
--> Processing Dependency: perl(Encode) for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
---> Package perl-Pod-Usage.noarch 0:1.63-3.el7 will be installed
--> Processing Dependency: perl(Pod::Text) >= 3.15 for package: perl-Pod-Usage-1.63-3.el7.noarch
--> Processing Dependency: perl-Pod-Perldoc for package: perl-Pod-Usage-1.63-3.el7.noarch
---> Package perl-Scalar-List-Utils.x86_64 0:1.27-248.el7 will be installed
---> Package perl-Socket.x86_64 0:2.010-4.el7 will be installed
---> Package perl-Storable.x86_64 0:2.45-3.el7 will be installed
---> Package perl-Text-ParseWords.noarch 0:3.29-4.el7 will be installed
---> Package perl-Time-HiRes.x86_64 4:1.9725-3.el7 will be installed
---> Package perl-Time-Local.noarch 0:1.2300-2.el7 will be installed
---> Package perl-constant.noarch 0:1.27-2.el7 will be installed
---> Package perl-libs.x86_64 4:5.16.3-292.el7 will be installed
---> Package perl-macros.x86_64 4:5.16.3-292.el7 will be installed
---> Package perl-threads.x86_64 0:1.87-4.el7 will be installed
---> Package perl-threads-shared.x86_64 0:1.43-6.el7 will be installed
---> Package python-ply.noarch 0:3.4-11.el7 will be installed
--> Running transaction check
---> Package perl-Encode.x86_64 0:2.51-7.el7 will be installed
---> Package perl-Pod-Escapes.noarch 1:1.04-292.el7 will be installed
---> Package perl-Pod-Perldoc.noarch 0:3.20-4.el7 will be installed
--> Processing Dependency: perl(parent) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
--> Processing Dependency: perl(HTTP::Tiny) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
---> Package perl-podlators.noarch 0:2.5.1-3.el7 will be installed
--> Running transaction check
---> Package perl-HTTP-Tiny.noarch 0:0.033-3.el7 will be installed
---> Package perl-parent.noarch 1:0.225-244.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch   Version                          Repository
                                                                           Size
================================================================================
Installing:
 httpd-tools             x86_64 2.4.6-67.el7.centos.6            updates   88 k
 java-1.8.0-openjdk-headless
                         x86_64 1:1.8.0.161-0.b14.el7_4          updates   32 M
 openssh-clients         x86_64 7.4p1-13.el7_4                   updates  654 k
 openssl                 x86_64 1:1.0.2k-8.el7                   base     492 k
 origin-clients          x86_64 3.7.0-1.0.7ed6862                centos-openshift-origin
                                                                           42 M
 pyOpenSSL               x86_64 0.13.1-3.el7                     base     133 k
 python-dns              noarch 1.12.0-4.20150617git465785f.el7  base     233 k
 python-lxml             x86_64 3.2.1-4.el7                      base     758 k
 python2-cryptography    x86_64 1.7.2-1.el7_4.1                  updates  502 k
 python2-passlib         noarch 1.6.5-1.el7                      centos-openshift-origin
                                                                          488 k
Installing for dependencies:
 apr                     x86_64 1.4.8-3.el7_4.1                  updates  103 k
 apr-util                x86_64 1.5.2-6.el7                      base      92 k
 bash-completion         noarch 1:2.1-6.el7                      base      85 k
 copy-jdk-configs        noarch 2.2-5.el7_4                      updates   19 k
 fipscheck               x86_64 1.4.1-6.el7                      base      21 k
 fipscheck-lib           x86_64 1.4.1-6.el7                      base      11 k
 freetype                x86_64 2.4.11-15.el7                    base     392 k
 git                     x86_64 1.8.3.1-12.el7_4                 updates  4.4 M
 groff-base              x86_64 1.22.2-8.el7                     base     942 k
 javapackages-tools      noarch 3.4.1-11.el7                     base      73 k
 less                    x86_64 458-9.el7                        base     120 k
 libedit                 x86_64 3.0-12.20121213cvs.el7           base      92 k
 libgnome-keyring        x86_64 3.12.0-1.el7                     base     109 k
 libjpeg-turbo           x86_64 1.2.90-5.el7                     base     134 k
 libxslt                 x86_64 1.1.28-5.el7                     base     242 k
 lksctp-tools            x86_64 1.0.17-2.el7                     base      88 k
 make                    x86_64 1:3.82-23.el7                    base     420 k
 openssh                 x86_64 7.4p1-13.el7_4                   updates  509 k
 perl                    x86_64 4:5.16.3-292.el7                 base     8.0 M
 perl-Carp               noarch 1.26-244.el7                     base      19 k
 perl-Encode             x86_64 2.51-7.el7                       base     1.5 M
 perl-Error              noarch 1:0.17020-2.el7                  base      32 k
 perl-Exporter           noarch 5.68-3.el7                       base      28 k
 perl-File-Path          noarch 2.09-2.el7                       base      26 k
 perl-File-Temp          noarch 0.23.01-3.el7                    base      56 k
 perl-Filter             x86_64 1.49-3.el7                       base      76 k
 perl-Getopt-Long        noarch 2.40-2.el7                       base      56 k
 perl-Git                noarch 1.8.3.1-12.el7_4                 updates   53 k
 perl-HTTP-Tiny          noarch 0.033-3.el7                      base      38 k
 perl-PathTools          x86_64 3.40-5.el7                       base      82 k
 perl-Pod-Escapes        noarch 1:1.04-292.el7                   base      51 k
 perl-Pod-Perldoc        noarch 3.20-4.el7                       base      87 k
 perl-Pod-Simple         noarch 1:3.28-4.el7                     base     216 k
 perl-Pod-Usage          noarch 1.63-3.el7                       base      27 k
 perl-Scalar-List-Utils  x86_64 1.27-248.el7                     base      36 k
 perl-Socket             x86_64 2.010-4.el7                      base      49 k
 perl-Storable           x86_64 2.45-3.el7                       base      77 k
 perl-TermReadKey        x86_64 2.30-20.el7                      base      31 k
 perl-Text-ParseWords    noarch 3.29-4.el7                       base      14 k
 perl-Time-HiRes         x86_64 4:1.9725-3.el7                   base      45 k
 perl-Time-Local         noarch 1.2300-2.el7                     base      24 k
 perl-constant           noarch 1.27-2.el7                       base      19 k
 perl-libs               x86_64 4:5.16.3-292.el7                 base     688 k
 perl-macros             x86_64 4:5.16.3-292.el7                 base      43 k
 perl-parent             noarch 1:0.225-244.el7                  base      12 k
 perl-podlators          noarch 2.5.1-3.el7                      base     112 k
 perl-threads            x86_64 1.87-4.el7                       base      49 k
 perl-threads-shared     x86_64 1.43-6.el7                       base      39 k
 python-cffi             x86_64 1.6.0-5.el7                      base     218 k
 python-enum34           noarch 1.0.4-1.el7                      base      52 k
 python-idna             noarch 2.4-1.el7                        base      94 k
 python-ipaddress        noarch 1.0.16-2.el7                     base      34 k
 python-javapackages     noarch 3.4.1-11.el7                     base      31 k
 python-ply              noarch 3.4-11.el7                       base     123 k
 python-pycparser        noarch 2.14-1.el7                       base     104 k
 python-six              noarch 1.9.0-2.el7                      base      29 k
 python2-pyasn1          noarch 0.1.9-7.el7                      base     100 k
 rsync                   x86_64 3.0.9-18.el7                     base     360 k
 tzdata-java             noarch 2017c-1.el7                      updates  183 k

Transaction Summary
================================================================================
Install  10 Packages (+59 Dependent packages)

Total download size: 98 M
Installed size: 464 M
Downloading packages:
warning: /var/cache/yum/x86_64/7/updates/packages/copy-jdk-configs-2.2-5.el7_4.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY
Public key for copy-jdk-configs-2.2-5.el7_4.noarch.rpm is not installed
Public key for fipscheck-1.4.1-6.el7.x86_64.rpm is not installed
warning: /var/cache/yum/x86_64/7/centos-openshift-origin/packages/python2-passlib-1.6.5-1.el7.noarch.rpm: Header V4 RSA/SHA1 Signature, key ID 2f297ecc: NOKEY
Public key for python2-passlib-1.6.5-1.el7.noarch.rpm is not installed
--------------------------------------------------------------------------------
Total                                              9.3 MB/s |  98 MB  00:10     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
Importing GPG key 0xF4A80EB5:
 Userid     : "CentOS-7 Key (CentOS 7 Official Signing Key) <security@centos.org>"
 Fingerprint: 6341 ab27 53d7 8a78 a7c2 7bb1 24c6 a8a7 f4a8 0eb5
 Package    : centos-release-7-4.1708.el7.centos.x86_64 (@CentOS)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-PaaS
Importing GPG key 0x2F297ECC:
 Userid     : "CentOS PaaS SIG (https://wiki.centos.org/SpecialInterestGroup/PaaS) <security@centos.org>"
 Fingerprint: c5e8 ab44 6fa7 893d 7490 51f1 c34c 5bd4 2f29 7ecc
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-PaaS
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : fipscheck-1.4.1-6.el7.x86_64                                1/69 
  Installing : fipscheck-lib-1.4.1-6.el7.x86_64                            2/69 
  Installing : apr-1.4.8-3.el7_4.1.x86_64                                  3/69 
  Installing : libxslt-1.1.28-5.el7.x86_64                                 4/69 
  Installing : groff-base-1.22.2-8.el7.x86_64                              5/69 
  Installing : 1:perl-parent-0.225-244.el7.noarch                          6/69 
  Installing : perl-HTTP-Tiny-0.033-3.el7.noarch                           7/69 
  Installing : perl-podlators-2.5.1-3.el7.noarch                           8/69 
  Installing : perl-Pod-Perldoc-3.20-4.el7.noarch                          9/69 
  Installing : perl-Encode-2.51-7.el7.x86_64                              10/69 
  Installing : 1:perl-Pod-Escapes-1.04-292.el7.noarch                     11/69 
  Installing : perl-Text-ParseWords-3.29-4.el7.noarch                     12/69 
  Installing : perl-Pod-Usage-1.63-3.el7.noarch                           13/69 
  Installing : 4:perl-macros-5.16.3-292.el7.x86_64                        14/69 
  Installing : perl-threads-1.87-4.el7.x86_64                             15/69 
  Installing : 4:perl-Time-HiRes-1.9725-3.el7.x86_64                      16/69 
  Installing : perl-Exporter-5.68-3.el7.noarch                            17/69 
  Installing : perl-constant-1.27-2.el7.noarch                            18/69 
  Installing : perl-Time-Local-1.2300-2.el7.noarch                        19/69 
  Installing : perl-Socket-2.010-4.el7.x86_64                             20/69 
  Installing : perl-Carp-1.26-244.el7.noarch                              21/69 
  Installing : 4:perl-libs-5.16.3-292.el7.x86_64                          22/69 
  Installing : perl-threads-shared-1.43-6.el7.x86_64                      23/69 
  Installing : perl-Scalar-List-Utils-1.27-248.el7.x86_64                 24/69 
  Installing : perl-Storable-2.45-3.el7.x86_64                            25/69 
  Installing : 1:perl-Pod-Simple-3.28-4.el7.noarch                        26/69 
  Installing : perl-File-Temp-0.23.01-3.el7.noarch                        27/69 
  Installing : perl-File-Path-2.09-2.el7.noarch                           28/69 
  Installing : perl-PathTools-3.40-5.el7.x86_64                           29/69 
  Installing : perl-Filter-1.49-3.el7.x86_64                              30/69 
  Installing : perl-Getopt-Long-2.40-2.el7.noarch                         31/69 
  Installing : 4:perl-5.16.3-292.el7.x86_64                               32/69 
  Installing : 1:perl-Error-0.17020-2.el7.noarch                          33/69 
  Installing : perl-TermReadKey-2.30-20.el7.x86_64                        34/69 
  Installing : less-458-9.el7.x86_64                                      35/69 
  Installing : python-lxml-3.2.1-4.el7.x86_64                             36/69 
  Installing : python-javapackages-3.4.1-11.el7.noarch                    37/69 
  Installing : javapackages-tools-3.4.1-11.el7.noarch                     38/69 
  Installing : apr-util-1.5.2-6.el7.x86_64                                39/69 
  Installing : openssh-7.4p1-13.el7_4.x86_64                              40/69 
  Installing : python2-pyasn1-0.1.9-7.el7.noarch                          41/69 
  Installing : python-ipaddress-1.0.16-2.el7.noarch                       42/69 
  Installing : libedit-3.0-12.20121213cvs.el7.x86_64                      43/69 
  Installing : openssh-clients-7.4p1-13.el7_4.x86_64                      44/69 
  Installing : tzdata-java-2017c-1.el7.noarch                             45/69 
  Installing : 1:make-3.82-23.el7.x86_64                                  46/69 
  Installing : 1:openssl-1.0.2k-8.el7.x86_64                              47/69 
  Installing : python-ply-3.4-11.el7.noarch                               48/69 
  Installing : python-pycparser-2.14-1.el7.noarch                         49/69 
  Installing : python-cffi-1.6.0-5.el7.x86_64                             50/69 
  Installing : python-idna-2.4-1.el7.noarch                               51/69 
  Installing : lksctp-tools-1.0.17-2.el7.x86_64                           52/69 
  Installing : python-six-1.9.0-2.el7.noarch                              53/69 
  Installing : 1:bash-completion-2.1-6.el7.noarch                         54/69 
  Installing : rsync-3.0.9-18.el7.x86_64                                  55/69 
  Installing : freetype-2.4.11-15.el7.x86_64                              56/69 
  Installing : python-enum34-1.0.4-1.el7.noarch                           57/69 
  Installing : libjpeg-turbo-1.2.90-5.el7.x86_64                          58/69 
  Installing : libgnome-keyring-3.12.0-1.el7.x86_64                       59/69 
  Installing : perl-Git-1.8.3.1-12.el7_4.noarch                           60/69 
  Installing : git-1.8.3.1-12.el7_4.x86_64                                61/69 
  Installing : copy-jdk-configs-2.2-5.el7_4.noarch                        62/69 
  Installing : 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_   63/69 
  Installing : origin-clients-3.7.0-1.0.7ed6862.x86_64                    64/69 
  Installing : python2-cryptography-1.7.2-1.el7_4.1.x86_64                65/69 
  Installing : httpd-tools-2.4.6-67.el7.centos.6.x86_64                   66/69 
  Installing : pyOpenSSL-0.13.1-3.el7.x86_64                              67/69 
  Installing : python-dns-1.12.0-4.20150617git465785f.el7.noarch          68/69 
  Installing : python2-passlib-1.6.5-1.el7.noarch                         69/69 
  Verifying  : fipscheck-lib-1.4.1-6.el7.x86_64                            1/69 
  Verifying  : perl-HTTP-Tiny-0.033-3.el7.noarch                           2/69 
  Verifying  : copy-jdk-configs-2.2-5.el7_4.noarch                         3/69 
  Verifying  : libgnome-keyring-3.12.0-1.el7.x86_64                        4/69 
  Verifying  : libjpeg-turbo-1.2.90-5.el7.x86_64                           5/69 
  Verifying  : javapackages-tools-3.4.1-11.el7.noarch                      6/69 
  Verifying  : python2-passlib-1.6.5-1.el7.noarch                          7/69 
  Verifying  : 4:perl-Time-HiRes-1.9725-3.el7.x86_64                       8/69 
  Verifying  : perl-threads-1.87-4.el7.x86_64                              9/69 
  Verifying  : perl-Exporter-5.68-3.el7.noarch                            10/69 
  Verifying  : perl-constant-1.27-2.el7.noarch                            11/69 
  Verifying  : python-lxml-3.2.1-4.el7.x86_64                             12/69 
  Verifying  : python-enum34-1.0.4-1.el7.noarch                           13/69 
  Verifying  : 4:perl-macros-5.16.3-292.el7.x86_64                        14/69 
  Verifying  : git-1.8.3.1-12.el7_4.x86_64                                15/69 
  Verifying  : freetype-2.4.11-15.el7.x86_64                              16/69 
  Verifying  : perl-File-Temp-0.23.01-3.el7.noarch                        17/69 
  Verifying  : python2-cryptography-1.7.2-1.el7_4.1.x86_64                18/69 
  Verifying  : rsync-3.0.9-18.el7.x86_64                                  19/69 
  Verifying  : 1:perl-parent-0.225-244.el7.noarch                         20/69 
  Verifying  : 1:openssl-1.0.2k-8.el7.x86_64                              21/69 
  Verifying  : 1:bash-completion-2.1-6.el7.noarch                         22/69 
  Verifying  : perl-TermReadKey-2.30-20.el7.x86_64                        23/69 
  Verifying  : python-javapackages-3.4.1-11.el7.noarch                    24/69 
  Verifying  : groff-base-1.22.2-8.el7.x86_64                             25/69 
  Verifying  : python-dns-1.12.0-4.20150617git465785f.el7.noarch          26/69 
  Verifying  : httpd-tools-2.4.6-67.el7.centos.6.x86_64                   27/69 
  Verifying  : openssh-7.4p1-13.el7_4.x86_64                              28/69 
  Verifying  : 1:perl-Pod-Simple-3.28-4.el7.noarch                        29/69 
  Verifying  : perl-Time-Local-1.2300-2.el7.noarch                        30/69 
  Verifying  : openssh-clients-7.4p1-13.el7_4.x86_64                      31/69 
  Verifying  : perl-Pod-Perldoc-3.20-4.el7.noarch                         32/69 
  Verifying  : python-six-1.9.0-2.el7.noarch                              33/69 
  Verifying  : lksctp-tools-1.0.17-2.el7.x86_64                           34/69 
  Verifying  : 1:perl-Error-0.17020-2.el7.noarch                          35/69 
  Verifying  : perl-Socket-2.010-4.el7.x86_64                             36/69 
  Verifying  : python-idna-2.4-1.el7.noarch                               37/69 
  Verifying  : perl-Encode-2.51-7.el7.x86_64                              38/69 
  Verifying  : python-ply-3.4-11.el7.noarch                               39/69 
  Verifying  : perl-Carp-1.26-244.el7.noarch                              40/69 
  Verifying  : perl-Git-1.8.3.1-12.el7_4.noarch                           41/69 
  Verifying  : perl-threads-shared-1.43-6.el7.x86_64                      42/69 
  Verifying  : fipscheck-1.4.1-6.el7.x86_64                               43/69 
  Verifying  : 4:perl-libs-5.16.3-292.el7.x86_64                          44/69 
  Verifying  : libxslt-1.1.28-5.el7.x86_64                                45/69 
  Verifying  : apr-util-1.5.2-6.el7.x86_64                                46/69 
  Verifying  : python-cffi-1.6.0-5.el7.x86_64                             47/69 
  Verifying  : perl-Scalar-List-Utils-1.27-248.el7.x86_64                 48/69 
  Verifying  : 1:make-3.82-23.el7.x86_64                                  49/69 
  Verifying  : 1:perl-Pod-Escapes-1.04-292.el7.noarch                     50/69 
  Verifying  : origin-clients-3.7.0-1.0.7ed6862.x86_64                    51/69 
  Verifying  : pyOpenSSL-0.13.1-3.el7.x86_64                              52/69 
  Verifying  : tzdata-java-2017c-1.el7.noarch                             53/69 
  Verifying  : perl-Pod-Usage-1.63-3.el7.noarch                           54/69 
  Verifying  : apr-1.4.8-3.el7_4.1.x86_64                                 55/69 
  Verifying  : 4:perl-5.16.3-292.el7.x86_64                               56/69 
  Verifying  : python-pycparser-2.14-1.el7.noarch                         57/69 
  Verifying  : perl-Storable-2.45-3.el7.x86_64                            58/69 
  Verifying  : perl-podlators-2.5.1-3.el7.noarch                          59/69 
  Verifying  : perl-Getopt-Long-2.40-2.el7.noarch                         60/69 
  Verifying  : perl-File-Path-2.09-2.el7.noarch                           61/69 
  Verifying  : libedit-3.0-12.20121213cvs.el7.x86_64                      62/69 
  Verifying  : perl-PathTools-3.40-5.el7.x86_64                           63/69 
  Verifying  : python-ipaddress-1.0.16-2.el7.noarch                       64/69 
  Verifying  : 1:java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_   65/69 
  Verifying  : perl-Text-ParseWords-3.29-4.el7.noarch                     66/69 
  Verifying  : python2-pyasn1-0.1.9-7.el7.noarch                          67/69 
  Verifying  : perl-Filter-1.49-3.el7.x86_64                              68/69 
  Verifying  : less-458-9.el7.x86_64                                      69/69 

Installed:
  httpd-tools.x86_64 0:2.4.6-67.el7.centos.6                                    
  java-1.8.0-openjdk-headless.x86_64 1:1.8.0.161-0.b14.el7_4                    
  openssh-clients.x86_64 0:7.4p1-13.el7_4                                       
  openssl.x86_64 1:1.0.2k-8.el7                                                 
  origin-clients.x86_64 0:3.7.0-1.0.7ed6862                                     
  pyOpenSSL.x86_64 0:0.13.1-3.el7                                               
  python-dns.noarch 0:1.12.0-4.20150617git465785f.el7                           
  python-lxml.x86_64 0:3.2.1-4.el7                                              
  python2-cryptography.x86_64 0:1.7.2-1.el7_4.1                                 
  python2-passlib.noarch 0:1.6.5-1.el7                                          

Dependency Installed:
  apr.x86_64 0:1.4.8-3.el7_4.1                                                  
  apr-util.x86_64 0:1.5.2-6.el7                                                 
  bash-completion.noarch 1:2.1-6.el7                                            
  copy-jdk-configs.noarch 0:2.2-5.el7_4                                         
  fipscheck.x86_64 0:1.4.1-6.el7                                                
  fipscheck-lib.x86_64 0:1.4.1-6.el7                                            
  freetype.x86_64 0:2.4.11-15.el7                                               
  git.x86_64 0:1.8.3.1-12.el7_4                                                 
  groff-base.x86_64 0:1.22.2-8.el7                                              
  javapackages-tools.noarch 0:3.4.1-11.el7                                      
  less.x86_64 0:458-9.el7                                                       
  libedit.x86_64 0:3.0-12.20121213cvs.el7                                       
  libgnome-keyring.x86_64 0:3.12.0-1.el7                                        
  libjpeg-turbo.x86_64 0:1.2.90-5.el7                                           
  libxslt.x86_64 0:1.1.28-5.el7                                                 
  lksctp-tools.x86_64 0:1.0.17-2.el7                                            
  make.x86_64 1:3.82-23.el7                                                     
  openssh.x86_64 0:7.4p1-13.el7_4                                               
  perl.x86_64 4:5.16.3-292.el7                                                  
  perl-Carp.noarch 0:1.26-244.el7                                               
  perl-Encode.x86_64 0:2.51-7.el7                                               
  perl-Error.noarch 1:0.17020-2.el7                                             
  perl-Exporter.noarch 0:5.68-3.el7                                             
  perl-File-Path.noarch 0:2.09-2.el7                                            
  perl-File-Temp.noarch 0:0.23.01-3.el7                                         
  perl-Filter.x86_64 0:1.49-3.el7                                               
  perl-Getopt-Long.noarch 0:2.40-2.el7                                          
  perl-Git.noarch 0:1.8.3.1-12.el7_4                                            
  perl-HTTP-Tiny.noarch 0:0.033-3.el7                                           
  perl-PathTools.x86_64 0:3.40-5.el7                                            
  perl-Pod-Escapes.noarch 1:1.04-292.el7                                        
  perl-Pod-Perldoc.noarch 0:3.20-4.el7                                          
  perl-Pod-Simple.noarch 1:3.28-4.el7                                           
  perl-Pod-Usage.noarch 0:1.63-3.el7                                            
  perl-Scalar-List-Utils.x86_64 0:1.27-248.el7                                  
  perl-Socket.x86_64 0:2.010-4.el7                                              
  perl-Storable.x86_64 0:2.45-3.el7                                             
  perl-TermReadKey.x86_64 0:2.30-20.el7                                         
  perl-Text-ParseWords.noarch 0:3.29-4.el7                                      
  perl-Time-HiRes.x86_64 4:1.9725-3.el7                                         
  perl-Time-Local.noarch 0:1.2300-2.el7                                         
  perl-constant.noarch 0:1.27-2.el7                                             
  perl-libs.x86_64 4:5.16.3-292.el7                                             
  perl-macros.x86_64 4:5.16.3-292.el7                                           
  perl-parent.noarch 1:0.225-244.el7                                            
  perl-podlators.noarch 0:2.5.1-3.el7                                           
  perl-threads.x86_64 0:1.87-4.el7                                              
  perl-threads-shared.x86_64 0:1.43-6.el7                                       
  python-cffi.x86_64 0:1.6.0-5.el7                                              
  python-enum34.noarch 0:1.0.4-1.el7                                            
  python-idna.noarch 0:2.4-1.el7                                                
  python-ipaddress.noarch 0:1.0.16-2.el7                                        
  python-javapackages.noarch 0:3.4.1-11.el7                                     
  python-ply.noarch 0:3.4-11.el7                                                
  python-pycparser.noarch 0:2.14-1.el7                                          
  python-six.noarch 0:1.9.0-2.el7                                               
  python2-pyasn1.noarch 0:0.1.9-7.el7                                           
  rsync.x86_64 0:3.0.9-18.el7                                                   
  tzdata-java.noarch 0:2017c-1.el7                                              

Complete!
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: mirror.teklinks.com
 * extras: mirror.cs.pitt.edu
 * updates: mirror.vcu.edu
Resolving Dependencies
--> Running transaction check
---> Package epel-release.noarch 0:7-9 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                Arch             Version         Repository        Size
================================================================================
Installing:
 epel-release           noarch           7-9             extras            14 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 14 k
Installed size: 24 k
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : epel-release-7-9.noarch                                      1/1 
  Verifying  : epel-release-7-9.noarch                                      1/1 

Installed:
  epel-release.noarch 0:7-9                                                     

Complete!
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: mirror.teklinks.com
 * epel: s3-mirror-us-east-1.fedoraproject.org
 * extras: mirror.cs.pitt.edu
 * updates: mirror.vcu.edu
Resolving Dependencies
--> Running transaction check
---> Package ansible.noarch 0:2.4.2.0-1.el7 will be installed
--> Processing Dependency: PyYAML for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: python-crypto for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: python-httplib2 for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: python-jinja2 for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: python-keyczar for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: python-paramiko for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: python-setuptools for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: python2-jmespath for package: ansible-2.4.2.0-1.el7.noarch
--> Processing Dependency: sshpass for package: ansible-2.4.2.0-1.el7.noarch
---> Package google-cloud-sdk.noarch 0:183.0.0-1.el7 will be installed
---> Package python2-boto.noarch 0:2.45.0-3.el7 will be installed
--> Processing Dependency: python-requests for package: python2-boto-2.45.0-3.el7.noarch
--> Processing Dependency: python-rsa for package: python2-boto-2.45.0-3.el7.noarch
---> Package python2-boto3.noarch 0:1.4.6-1.el7 will be installed
--> Processing Dependency: python-futures >= 2.2.0 for package: python2-boto3-1.4.6-1.el7.noarch
--> Processing Dependency: python2-botocore >= 1.5.0 for package: python2-boto3-1.4.6-1.el7.noarch
--> Processing Dependency: python2-s3transfer >= 0.1.10 for package: python2-boto3-1.4.6-1.el7.noarch
---> Package which.x86_64 0:2.20-7.el7 will be installed
--> Running transaction check
---> Package PyYAML.x86_64 0:3.10-11.el7 will be installed
--> Processing Dependency: libyaml-0.so.2()(64bit) for package: PyYAML-3.10-11.el7.x86_64
---> Package python-httplib2.noarch 0:0.9.2-1.el7 will be installed
---> Package python-jinja2.noarch 0:2.7.2-2.el7 will be installed
--> Processing Dependency: python-babel >= 0.8 for package: python-jinja2-2.7.2-2.el7.noarch
--> Processing Dependency: python-markupsafe for package: python-jinja2-2.7.2-2.el7.noarch
---> Package python-keyczar.noarch 0:0.71c-2.el7 will be installed
---> Package python-paramiko.noarch 0:2.1.1-2.el7 will be installed
---> Package python-requests.noarch 0:2.6.0-1.el7_1 will be installed
--> Processing Dependency: python-urllib3 >= 1.10.2-1 for package: python-requests-2.6.0-1.el7_1.noarch
---> Package python-setuptools.noarch 0:0.9.8-7.el7 will be installed
--> Processing Dependency: python-backports-ssl_match_hostname for package: python-setuptools-0.9.8-7.el7.noarch
---> Package python2-botocore.noarch 0:1.6.0-1.el7 will be installed
--> Processing Dependency: python-dateutil >= 1.4 for package: python2-botocore-1.6.0-1.el7.noarch
--> Processing Dependency: python-docutils >= 0.10 for package: python2-botocore-1.6.0-1.el7.noarch
---> Package python2-crypto.x86_64 0:2.6.1-15.el7 will be installed
--> Processing Dependency: libtomcrypt.so.0()(64bit) for package: python2-crypto-2.6.1-15.el7.x86_64
---> Package python2-futures.noarch 0:3.0.5-1.el7 will be installed
---> Package python2-jmespath.noarch 0:0.9.0-3.el7 will be installed
---> Package python2-rsa.noarch 0:3.4.1-1.el7 will be installed
---> Package python2-s3transfer.noarch 0:0.1.10-1.el7 will be installed
---> Package sshpass.x86_64 0:1.06-2.el7 will be installed
--> Running transaction check
---> Package libtomcrypt.x86_64 0:1.17-26.el7 will be installed
--> Processing Dependency: libtommath >= 0.42.0 for package: libtomcrypt-1.17-26.el7.x86_64
--> Processing Dependency: libtommath.so.0()(64bit) for package: libtomcrypt-1.17-26.el7.x86_64
---> Package libyaml.x86_64 0:0.1.4-11.el7_0 will be installed
---> Package python-babel.noarch 0:0.9.6-8.el7 will be installed
---> Package python-backports-ssl_match_hostname.noarch 0:3.4.0.2-4.el7 will be installed
--> Processing Dependency: python-backports for package: python-backports-ssl_match_hostname-3.4.0.2-4.el7.noarch
---> Package python-dateutil.noarch 0:1.5-7.el7 will be installed
---> Package python-docutils.noarch 0:0.11-0.2.20130715svn7687.el7 will be installed
--> Processing Dependency: python-imaging for package: python-docutils-0.11-0.2.20130715svn7687.el7.noarch
---> Package python-markupsafe.x86_64 0:0.11-10.el7 will be installed
---> Package python-urllib3.noarch 0:1.10.2-3.el7 will be installed
--> Running transaction check
---> Package libtommath.x86_64 0:0.42.0-6.el7 will be installed
---> Package python-backports.x86_64 0:1.0-8.el7 will be installed
---> Package python-pillow.x86_64 0:2.0.0-19.gitd1c6db8.el7 will be installed
--> Processing Dependency: libtiff.so.5(LIBTIFF_4.0)(64bit) for package: python-pillow-2.0.0-19.gitd1c6db8.el7.x86_64
--> Processing Dependency: libwebp.so.4()(64bit) for package: python-pillow-2.0.0-19.gitd1c6db8.el7.x86_64
--> Processing Dependency: libtiff.so.5()(64bit) for package: python-pillow-2.0.0-19.gitd1c6db8.el7.x86_64
--> Running transaction check
---> Package libtiff.x86_64 0:4.0.3-27.el7_3 will be installed
--> Processing Dependency: libjbig.so.2.0()(64bit) for package: libtiff-4.0.3-27.el7_3.x86_64
---> Package libwebp.x86_64 0:0.3.0-7.el7 will be installed
--> Running transaction check
---> Package jbigkit-libs.x86_64 0:2.0-11.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch   Version                 Repository               Size
================================================================================
Installing:
 ansible           noarch 2.4.2.0-1.el7           epel                    7.6 M
 google-cloud-sdk  noarch 183.0.0-1.el7           google-cloud-sdk         21 M
 python2-boto      noarch 2.45.0-3.el7            epel                    1.7 M
 python2-boto3     noarch 1.4.6-1.el7             epel                    131 k
 which             x86_64 2.20-7.el7              base                     41 k
Installing for dependencies:
 PyYAML            x86_64 3.10-11.el7             base                    153 k
 jbigkit-libs      x86_64 2.0-11.el7              base                     46 k
 libtiff           x86_64 4.0.3-27.el7_3          base                    170 k
 libtomcrypt       x86_64 1.17-26.el7             extras                  224 k
 libtommath        x86_64 0.42.0-6.el7            extras                   36 k
 libwebp           x86_64 0.3.0-7.el7             base                    170 k
 libyaml           x86_64 0.1.4-11.el7_0          base                     55 k
 python-babel      noarch 0.9.6-8.el7             base                    1.4 M
 python-backports  x86_64 1.0-8.el7               base                    5.8 k
 python-backports-ssl_match_hostname
                   noarch 3.4.0.2-4.el7           base                     12 k
 python-dateutil   noarch 1.5-7.el7               base                     85 k
 python-docutils   noarch 0.11-0.2.20130715svn7687.el7
                                                  base                    1.5 M
 python-httplib2   noarch 0.9.2-1.el7             extras                  115 k
 python-jinja2     noarch 2.7.2-2.el7             base                    515 k
 python-keyczar    noarch 0.71c-2.el7             centos-openshift-origin 217 k
 python-markupsafe x86_64 0.11-10.el7             base                     25 k
 python-paramiko   noarch 2.1.1-2.el7             extras                  267 k
 python-pillow     x86_64 2.0.0-19.gitd1c6db8.el7 base                    438 k
 python-requests   noarch 2.6.0-1.el7_1           base                     94 k
 python-setuptools noarch 0.9.8-7.el7             base                    397 k
 python-urllib3    noarch 1.10.2-3.el7            base                    101 k
 python2-botocore  noarch 1.6.0-1.el7             epel                    2.4 M
 python2-crypto    x86_64 2.6.1-15.el7            extras                  477 k
 python2-futures   noarch 3.0.5-1.el7             epel                     26 k
 python2-jmespath  noarch 0.9.0-3.el7             extras                   39 k
 python2-rsa       noarch 3.4.1-1.el7             epel                     67 k
 python2-s3transfer
                   noarch 0.1.10-1.el7            epel                     82 k
 sshpass           x86_64 1.06-2.el7              extras                   21 k

Transaction Summary
================================================================================
Install  5 Packages (+28 Dependent packages)

Total download size: 39 M
Installed size: 197 M
Downloading packages:
warning: /var/cache/yum/x86_64/7/epel/packages/ansible-2.4.2.0-1.el7.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
Public key for ansible-2.4.2.0-1.el7.noarch.rpm is not installed
warning: /var/cache/yum/x86_64/7/google-cloud-sdk/packages/0104ce36521d5153bbbdb1d143cc7760b8c9c7c33137cff9489fd960a0a009e0-google-cloud-sdk-183.0.0-1.el7.noarch.rpm: Header V4 RSA/SHA1 Signature, key ID 3e1ba8d5: NOKEY
Public key for 0104ce36521d5153bbbdb1d143cc7760b8c9c7c33137cff9489fd960a0a009e0-google-cloud-sdk-183.0.0-1.el7.noarch.rpm is not installed
--------------------------------------------------------------------------------
Total                                               20 MB/s |  39 MB  00:01     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
Importing GPG key 0x352C64E5:
 Userid     : "Fedora EPEL (7) <epel@fedoraproject.org>"
 Fingerprint: 91e9 7d7c 4a5e 96f1 7f3e 888f 6a2f aea2 352c 64e5
 Package    : epel-release-7-9.noarch (@extras)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
Retrieving key from https://packages.cloud.google.com/yum/doc/yum-key.gpg
Importing GPG key 0xA7317B0F:
 Userid     : "Google Cloud Packages Automatic Signing Key <gc-team@google.com>"
 Fingerprint: d0bc 747f d8ca f711 7500 d6fa 3746 c208 a731 7b0f
 From       : https://packages.cloud.google.com/yum/doc/yum-key.gpg
Retrieving key from https://packages.cloud.google.com/yum/doc/rpm-package-key.gpg
Importing GPG key 0x3E1BA8D5:
 Userid     : "Google Cloud Packages RPM Signing Key <gc-team@google.com>"
 Fingerprint: 3749 e1ba 95a8 6ce0 5454 6ed2 f09c 394c 3e1b a8d5
 From       : https://packages.cloud.google.com/yum/doc/rpm-package-key.gpg
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : python2-jmespath-0.9.0-3.el7.noarch                         1/33 
  Installing : python2-futures-3.0.5-1.el7.noarch                          2/33 
  Installing : python-httplib2-0.9.2-1.el7.noarch                          3/33 
  Installing : libtommath-0.42.0-6.el7.x86_64                              4/33 
  Installing : libtomcrypt-1.17-26.el7.x86_64                              5/33 
  Installing : python2-crypto-2.6.1-15.el7.x86_64                          6/33 
  Installing : python-keyczar-0.71c-2.el7.noarch                           7/33 
  Installing : libyaml-0.1.4-11.el7_0.x86_64                               8/33 
  Installing : PyYAML-3.10-11.el7.x86_64                                   9/33 
  Installing : jbigkit-libs-2.0-11.el7.x86_64                             10/33 
  Installing : libtiff-4.0.3-27.el7_3.x86_64                              11/33 
  Installing : python-paramiko-2.1.1-2.el7.noarch                         12/33 
  Installing : python-backports-1.0-8.el7.x86_64                          13/33 
  Installing : python-backports-ssl_match_hostname-3.4.0.2-4.el7.noarch   14/33 
  Installing : python-setuptools-0.9.8-7.el7.noarch                       15/33 
  Installing : python2-rsa-3.4.1-1.el7.noarch                             16/33 
  Installing : python-urllib3-1.10.2-3.el7.noarch                         17/33 
  Installing : python-requests-2.6.0-1.el7_1.noarch                       18/33 
  Installing : python-babel-0.9.6-8.el7.noarch                            19/33 
  Installing : python-markupsafe-0.11-10.el7.x86_64                       20/33 
  Installing : python-jinja2-2.7.2-2.el7.noarch                           21/33 
  Installing : python-dateutil-1.5-7.el7.noarch                           22/33 
  Installing : sshpass-1.06-2.el7.x86_64                                  23/33 
  Installing : libwebp-0.3.0-7.el7.x86_64                                 24/33 
  Installing : python-pillow-2.0.0-19.gitd1c6db8.el7.x86_64               25/33 
  Installing : python-docutils-0.11-0.2.20130715svn7687.el7.noarch        26/33 
  Installing : python2-botocore-1.6.0-1.el7.noarch                        27/33 
  Installing : python2-s3transfer-0.1.10-1.el7.noarch                     28/33 
  Installing : python2-boto3-1.4.6-1.el7.noarch                           29/33 
  Installing : ansible-2.4.2.0-1.el7.noarch                               30/33 
  Installing : python2-boto-2.45.0-3.el7.noarch                           31/33 
  Installing : google-cloud-sdk-183.0.0-1.el7.noarch                      32/33 
/bin/gcloud: line 73: which: command not found
/bin/gcloud: line 75: which: command not found
  Installing : which-2.20-7.el7.x86_64                                    33/33 
install-info: No such file or directory for /usr/share/info/which.info.gz
  Verifying  : python-keyczar-0.71c-2.el7.noarch                           1/33 
  Verifying  : python-docutils-0.11-0.2.20130715svn7687.el7.noarch         2/33 
  Verifying  : python-jinja2-2.7.2-2.el7.noarch                            3/33 
  Verifying  : libtiff-4.0.3-27.el7_3.x86_64                               4/33 
  Verifying  : python2-jmespath-0.9.0-3.el7.noarch                         5/33 
  Verifying  : libwebp-0.3.0-7.el7.x86_64                                  6/33 
  Verifying  : python2-futures-3.0.5-1.el7.noarch                          7/33 
  Verifying  : python2-boto3-1.4.6-1.el7.noarch                            8/33 
  Verifying  : python2-rsa-3.4.1-1.el7.noarch                              9/33 
  Verifying  : sshpass-1.06-2.el7.x86_64                                  10/33 
  Verifying  : python-setuptools-0.9.8-7.el7.noarch                       11/33 
  Verifying  : python-urllib3-1.10.2-3.el7.noarch                         12/33 
  Verifying  : python-backports-ssl_match_hostname-3.4.0.2-4.el7.noarch   13/33 
  Verifying  : python-dateutil-1.5-7.el7.noarch                           14/33 
  Verifying  : which-2.20-7.el7.x86_64                                    15/33 
  Verifying  : python2-botocore-1.6.0-1.el7.noarch                        16/33 
  Verifying  : python-markupsafe-0.11-10.el7.x86_64                       17/33 
  Verifying  : python-babel-0.9.6-8.el7.noarch                            18/33 
  Verifying  : python-backports-1.0-8.el7.x86_64                          19/33 
  Verifying  : python-paramiko-2.1.1-2.el7.noarch                         20/33 
  Verifying  : python2-boto-2.45.0-3.el7.noarch                           21/33 
  Verifying  : python-pillow-2.0.0-19.gitd1c6db8.el7.x86_64               22/33 
  Verifying  : python2-s3transfer-0.1.10-1.el7.noarch                     23/33 
  Verifying  : jbigkit-libs-2.0-11.el7.x86_64                             24/33 
  Verifying  : google-cloud-sdk-183.0.0-1.el7.noarch                      25/33 
  Verifying  : libyaml-0.1.4-11.el7_0.x86_64                              26/33 
  Verifying  : ansible-2.4.2.0-1.el7.noarch                               27/33 
  Verifying  : libtommath-0.42.0-6.el7.x86_64                             28/33 
  Verifying  : python2-crypto-2.6.1-15.el7.x86_64                         29/33 
  Verifying  : python-requests-2.6.0-1.el7_1.noarch                       30/33 
  Verifying  : python-httplib2-0.9.2-1.el7.noarch                         31/33 
  Verifying  : PyYAML-3.10-11.el7.x86_64                                  32/33 
  Verifying  : libtomcrypt-1.17-26.el7.x86_64                             33/33 

Installed:
  ansible.noarch 0:2.4.2.0-1.el7       google-cloud-sdk.noarch 0:183.0.0-1.el7  
  python2-boto.noarch 0:2.45.0-3.el7   python2-boto3.noarch 0:1.4.6-1.el7       
  which.x86_64 0:2.20-7.el7           

Dependency Installed:
  PyYAML.x86_64 0:3.10-11.el7                                                   
  jbigkit-libs.x86_64 0:2.0-11.el7                                              
  libtiff.x86_64 0:4.0.3-27.el7_3                                               
  libtomcrypt.x86_64 0:1.17-26.el7                                              
  libtommath.x86_64 0:0.42.0-6.el7                                              
  libwebp.x86_64 0:0.3.0-7.el7                                                  
  libyaml.x86_64 0:0.1.4-11.el7_0                                               
  python-babel.noarch 0:0.9.6-8.el7                                             
  python-backports.x86_64 0:1.0-8.el7                                           
  python-backports-ssl_match_hostname.noarch 0:3.4.0.2-4.el7                    
  python-dateutil.noarch 0:1.5-7.el7                                            
  python-docutils.noarch 0:0.11-0.2.20130715svn7687.el7                         
  python-httplib2.noarch 0:0.9.2-1.el7                                          
  python-jinja2.noarch 0:2.7.2-2.el7                                            
  python-keyczar.noarch 0:0.71c-2.el7                                           
  python-markupsafe.x86_64 0:0.11-10.el7                                        
  python-paramiko.noarch 0:2.1.1-2.el7                                          
  python-pillow.x86_64 0:2.0.0-19.gitd1c6db8.el7                                
  python-requests.noarch 0:2.6.0-1.el7_1                                        
  python-setuptools.noarch 0:0.9.8-7.el7                                        
  python-urllib3.noarch 0:1.10.2-3.el7                                          
  python2-botocore.noarch 0:1.6.0-1.el7                                         
  python2-crypto.x86_64 0:2.6.1-15.el7                                          
  python2-futures.noarch 0:3.0.5-1.el7                                          
  python2-jmespath.noarch 0:0.9.0-3.el7                                         
  python2-rsa.noarch 0:3.4.1-1.el7                                              
  python2-s3transfer.noarch 0:0.1.10-1.el7                                      
  sshpass.x86_64 0:1.06-2.el7                                                   

Complete!
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: mirror.teklinks.com
 * epel: mirror.us.leaseweb.net
 * epel-testing: mirror.us.leaseweb.net
 * extras: mirror.cs.pitt.edu
 * updates: mirror.vcu.edu
Resolving Dependencies
--> Running transaction check
---> Package python2-libcloud.noarch 0:2.2.1-3.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                Arch         Version           Repository          Size
================================================================================
Installing:
 python2-libcloud       noarch       2.2.1-3.el7       epel-testing       1.4 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 1.4 M
Installed size: 7.3 M
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : python2-libcloud-2.2.1-3.el7.noarch                          1/1 
  Verifying  : python2-libcloud-2.2.1-3.el7.noarch                          1/1 

Installed:
  python2-libcloud.noarch 0:2.2.1-3.el7                                         

Complete!
Loaded plugins: fastestmirror, ovl
Cleaning repos: base centos-openshift-origin epel extras google-cloud-sdk
              : updates
Cleaning up everything
Maybe you want: rm -rf /var/cache/yum, to also free up space taken by orphaned data from disabled or removed repos
Cleaning up list of fastest mirrors
 ---> 571b46afce3a
Removing intermediate container 38bc65c013c0
Step 6 : LABEL name "openshift/origin-ansible" summary "OpenShift's installation and configuration tool" description "A containerized openshift-ansible image to let you run playbooks to install, upgrade, maintain and check an OpenShift cluster" url "https://github.com/openshift/openshift-ansible" io.k8s.display-name "openshift-ansible" io.k8s.description "A containerized openshift-ansible image to let you run playbooks to install, upgrade, maintain and check an OpenShift cluster" io.openshift.expose-services "" io.openshift.tags "openshift,install,upgrade,ansible" atomic.run "once"
 ---> Running in a54e8f071986
 ---> 9d57b181bdc6
Removing intermediate container a54e8f071986
Step 7 : ENV USER_UID 1001 HOME /opt/app-root/src WORK_DIR /usr/share/ansible/openshift-ansible OPTS "-v"
 ---> Running in a5fb14f1ca36
 ---> eb971df82d4a
Removing intermediate container a5fb14f1ca36
Step 8 : COPY images/installer/root /
 ---> 397d6aa552da
Removing intermediate container d44209ecb959
Step 9 : COPY . ${WORK_DIR}
 ---> 6e49d01b0fd3
Removing intermediate container 1b7d0ac9ee6f
Step 10 : RUN /usr/local/bin/user_setup  && rm /usr/local/bin/usage.ocp
 ---> Running in 3287fbf05f69
+ mkdir -p /opt/app-root/src
+ chown 1001:0 /opt/app-root/src
+ chmod ug+rwx /opt/app-root/src
+ chmod g+rw /etc/passwd
+ chmod -R g+r /usr/share/ansible/openshift-ansible
+ find /usr/share/ansible/openshift-ansible -type d -exec chmod g+x '{}' +
+ find /usr/share/ansible/openshift-ansible -type d -exec chmod g+wx '{}' +
+ rm /usr/local/bin/user_setup
 ---> 3bd3ad4a8eff
Removing intermediate container 3287fbf05f69
Step 11 : USER ${USER_UID}
 ---> Running in 3e1f5f8bb905
 ---> 457760768a12
Removing intermediate container 3e1f5f8bb905
Step 12 : WORKDIR ${WORK_DIR}
 ---> Running in 11dd51df3977
 ---> 2bda127200fa
Removing intermediate container 11dd51df3977
Step 13 : ENTRYPOINT /usr/local/bin/entrypoint
 ---> Running in d146e41f1cf6
 ---> 405a5e0dbcd7
Removing intermediate container d146e41f1cf6
Step 14 : CMD /usr/local/bin/run
 ---> Running in 35e88104a003
 ---> 6a56327a496d
Removing intermediate container 35e88104a003
Successfully built 6a56327a496d
++ date +%s
--- latest took 213 seconds ---




++ Active images
+ BUILD_ENDTIME=1516810756
+ echo '--- latest took 213 seconds ---'
+ echo
+ echo
+ echo
+ echo
+ echo '++ Active images'
+ docker images
+ grep openshift/origin-ansible
+ sort
openshift/origin-ansible   latest              6a56327a496d        2 seconds ago       1.011 GB

+ echo
+ ret=0
++ date +%s
+ ENDTIME=1516810756
hack/build-images.sh took 213 seconds
+ echo 'hack/build-images.sh took 213 seconds'
+ exit 0
+ cat /var/lib/jenkins/.dockercfg
+ vagrant ssh -c 'cat > ~/.dockercfg'
+ vagrant_ssh 'pushd /tmp/openshift-ansible && PREFIX=openshift/origin-ansible OS_TAG=latest OS_PUSH_BASE_REGISTRY=docker.io/ OS_PUSH_TAG=latest,v3.9 hack/push-release.sh'
+ vagrant ssh -c 'pushd /tmp/openshift-ansible && PREFIX=openshift/origin-ansible OS_TAG=latest OS_PUSH_BASE_REGISTRY=docker.io/ OS_PUSH_TAG=latest,v3.9 hack/push-release.sh'
/tmp/openshift-ansible ~
+ for tag in '"${push_tags[@]}"'
+ docker tag openshift/origin-ansible:latest docker.io/openshift/origin-ansible:latest
+ docker push docker.io/openshift/origin-ansible:latest
The push refers to a repository [docker.io/openshift/origin-ansible]
37dd445c5d6a: Preparing
1e8fc03ec8a3: Preparing
5ef6105820d1: Preparing
6fb86b36728c: Preparing
15a5b33cde08: Preparing
e15afa4858b6: Preparing
e15afa4858b6: Waiting
37dd445c5d6a: Pushed
5ef6105820d1: Pushed
15a5b33cde08: Pushed
e15afa4858b6: Layer already exists
1e8fc03ec8a3: Pushed
6fb86b36728c: Pushed
latest: digest: sha256:7522eeb7ea7aac0ea4bf23c237ddac308599042e068fd68fcf3f065a7214b133 size: 1576
+ for tag in '"${push_tags[@]}"'
+ docker tag openshift/origin-ansible:latest docker.io/openshift/origin-ansible:v3.9
+ docker push docker.io/openshift/origin-ansible:v3.9
The push refers to a repository [docker.io/openshift/origin-ansible]
37dd445c5d6a: Preparing
1e8fc03ec8a3: Preparing
5ef6105820d1: Preparing
6fb86b36728c: Preparing
15a5b33cde08: Preparing
e15afa4858b6: Preparing
e15afa4858b6: Waiting
6fb86b36728c: Layer already exists
5ef6105820d1: Layer already exists
1e8fc03ec8a3: Layer already exists
15a5b33cde08: Layer already exists
37dd445c5d6a: Layer already exists
e15afa4858b6: Layer already exists
v3.9: digest: sha256:7522eeb7ea7aac0ea4bf23c237ddac308599042e068fd68fcf3f065a7214b133 size: 1576
+ set +x
hack/push-release.sh took 63 seconds
+ vagrant_ssh 'rm ~/.dockercfg'
+ vagrant ssh -c 'rm ~/.dockercfg'
+ popd
~/jobs/build-and-release-latest-openshift-ansible-images/workspace
[PostBuildScript] - Execution post build scripts.
[workspace] $ /bin/sh -xe /tmp/jenkins7054664650298461275.sh
+ pushd origin
~/jobs/build-and-release-latest-openshift-ansible-images/workspace/origin ~/jobs/build-and-release-latest-openshift-ansible-images/workspace
+ '[' -f .vagrant-openshift.json ']'
+ /usr/bin/vagrant destroy -f
==> openshiftdev: Terminating the instance...
==> openshiftdev: Running cleanup tasks for 'shell' provisioner...
+ popd
~/jobs/build-and-release-latest-openshift-ansible-images/workspace
Finished: SUCCESS